<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Introduction</title>
</head>

<body>

<h1 align=center>Overlay Tutorial (Image-correction)</h1>

<p>Overlay plug-in can be used for some special cases to correct image. For
better result, sometimes, you probably need our image tool (a basic tool for
image processing) to process the image.&nbsp;</p>
<ul>
  <li><a href="#introcution">Introduction</a></li>
  <li><a href="#open_perspective">Open perspective</a></li>
  <li><a href="#load_and_overlay">Load and overlay images</a></li>
  <li><a href="#show_tracer">Show tracer</a></li>
  <li><a href="#choose_color">Choose correct color</a></li>
  <li><a href="#correct_image">Correct image</a></li>
  <li><a href="#save_work">Save your work</a></li>
  <li><a href="#contact_me">Contact me</a></li>
</ul>
<h2><a name="introcution"></a>Introduction</h2>
<p>In order to simplify the tutor, let's define some terminology here:</p>
<ul>
  <li><b>Background image (B image):</b> The image which has been blended with
    other sources of image, we need to correct this image.</li>
  <li><b>Above image (A image)</b>: The image which has been blended above the
    background image, we need to get rid of this image or part from B image.</li>
  <li><b>Corrected image (C image)</b>: The original image of B before blended,
    we hope we can recover this image by using our tool from B image.</li>
</ul>
<p>In some cases, you have a B image and you also have (maybe part of) some A
images, you know that part of image of B comes from A and want to get rid of
that part and get the C image. Now you can use overlay tool.&nbsp;</p>
<p>Overlay tool provides a nice feature for recover the C image from B image.</p>
<ul>
  <li>You can overlay the A image over B image exactly in the way it has been
    blended and switch between A and B images.</li>
  <li>Tracer will show the corresponding position of B image and A image in case
    of overlaying.</li>
  <li>Eyedrop and pencil tool can give you freedom to choose right color and
    correct the B image and finally get C image.</li>
</ul>
<p>We will show this step by step.</p>
<h2><a name="open_perspective"></a>Open perspective</h2>
<p>To open overlay tool, use the &quot;DucType perspective&quot;. You can find
the &quot;DucType Perspective&quot; at the &quot;window&quot; menu of Eclipse:</p>
<blockquote>
  <p>&nbsp;&nbsp; <img border="0" src="readme/perspective_menu.jpg" width="413" height="288"></p>
</blockquote>
<p>It may either appears directly under &quot;Open Perspective&quot; menu (in
case you are not the first time running it) or under the &quot;Other&quot; (in
case you are the first time running this tool. You need to choose the &quot;DucType
perspective&quot; in a list of perspective).</p>
<p>Then you will get the overlay view:</p>
<p><img border="0" src="readme/overlay_view.jpg" width="809" height="494"></p>
<h2><a name="load_and_overlay"></a>Load and overlay images</h2>
<p >First click the file open button <img border="0" src="readme/open_button.jpg" width="21" height="21">
on the leftmost of toolbar, then use mouse click left panel, you need load the
image B into left panel. Then click right panel to load the image A into right
panel.</p>


<p >After you load the image, it may look like this (you may use the flip button
<img border="0" src="readme/flip_button.jpg" width="46" height="20"> to flip the
images):</p>


<p ><img border="0" src="readme/overlay_load.jpg" width="640" height="427"></p>


<p >&nbsp;</p>


<p >Then select the &quot;select pin points&quot; button <img border="0" src="readme/select_points.jpg" width="21" height="20">
for toolbar, and select two pairs of points which will be used to overlay (The
points you select will match each other after overlaying):&nbsp;</p>


<p ><img border="0" src="readme/overlay_select.jpg" width="965" height="644"></p>


<p >Now overlay the images using &quot;overlay button&quot; <img border="0" src="readme/overlay_button.jpg" width="18" height="20">
on the toolbar, you will get the overlayed image as following:</p>


<p ><img border="0" src="readme/after_overlay.jpg" width="965" height="644"></p>


<p >&nbsp;</p>


<h2><a name="show_tracer"></a>Show Tracer</h2>
<p >After overlaying image, right click on the right panel, select &quot;show
tracer&quot;, the right image panel will show the B image (you can see C image
on the left by switching the transparency slider):
</p>


<p ><img border="0" src="readme/show_tracer.jpg" width="501" height="416">
</p>


<p >&nbsp;then select the &quot;pencil tool&quot; <img border="0" src="readme/pencile_button.jpg" width="25" height="21">
in the tool button, you will see the tracer, a red circle on the image B which
is the exact mapping of the point under the pencil, you can move the pencil to
fine which part on B may come from image C:
</p>


<p ><img border="0" src="readme/tracer_points.jpg" width="941" height="641">
</p>


<p >Now you can see from above that some part of B image comes from the C image.
Also, by moving the transparency bar on the bottom, you can switch between the
image B and image C, you can use this to check how exactly overlaying is. And
you may also find some other parts which you did not find before you use this
tool.
</p>


<h2><a name="choose_color"></a>Choose correct color</h2>
<p >Now you know which parts of B image comes from C image. You want to get rid
of the parts come from C image. You can use the pencil tool to do that. Pencil
tool gives you the freedom to overwrite any pixels on the B image.<p >The
default color of pencil is shown on the bottom-right corner, you can click it to
choose a color you want to use:
<blockquote>
  <p ><img border="0" src="readme/color_panel.jpg" width="222" height="331">
</blockquote>
<p >However, the best color may be the one come from B image, i.e., the color
around the part which you want to correct may be the best color you want to use.
Overlay tool provides you an &quot;eyedrop tool&quot; <img border="0" src="readme/eyedrop_button.jpg" width="27" height="22">
to sample the color in B image. To do that, you select the eyedrop tool in the
toolbar, then sample the right color by left-clicking the mouse button, the
sampled color will show in the bottom-right color panel:<p ><img border="0" src="readme/sample_color.jpg" width="943" height="639"><p >&nbsp;<h2><a name="correct_image"></a>Correct
image</h2>
<p >Okay, now, you have got the exact part you want to correct (erase), and you
also chosen the correct color, you are almost done. The final step is use the
pencil tool to draw with referring to the tracer over the parts you want to get
rid of:</p>


<p ><img border="0" src="readme/correct_pixels.jpg" width="941" height="642"></p>


<p >&nbsp;</p>


<h2 ><a name="save_work"></a>Save your work</h2>


<p >Finally, you will get what you did, and you can save that image into a new
file by clicking the &quot;save button&quot; <img border="0" src="readme/save_button.jpg" width="19" height="19">
in the toolbar:</p>


<p ><img border="0" src="readme/save_correction.jpg" width="561" height="416"></p>


<p >Later you can reload the image into your workspace, and probably you want to
continue to correct B image with another image C (try the UV image).</p>


<h2 align="left"><a name="contact_me"></a>Contact me</h2>
<p align="left">If you have any question, please let me know.</p>
<p align="left">-Chengdong</p>
<p align="left">cli4@uky.edu <br>
&nbsp;</p>
<p align="left">&nbsp;</p>
<p align="left">&nbsp;</p>
</body>
</html>